<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2013 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/site.php";
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$client_id = pg_escape_string($database, $_REQUEST['client']);

$result = pg_fetch_row(pg_query($database, " select identifier, client, last_name, first_name, date_of_creation, value, trusted, users from view_client where users=$po_user[id] and identifier=$client_id"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $result[7]) &&
    ($po_user['type'] != PO_USER_TYPE_ADMIN)) {
  site_referer_error('not_owner');
  site_epilog($database);
  exit();
}

$all_client_states = pg_query($database, " select identifier, value from client_status where identifier!=4");

site_header($strings['user_edit_client']);
site_navigator(8);
site_navigator_status(emit_a(generate_link('user', ''), $strings['generic_users'])." : ".emit_a("my.datebook.php", $strings['generic_my_datebook'])." : ".$strings['user_edit_client'], "");
print "<form method=\"post\" action=\"client.edit.2.php\" accept-charset=\"".$strings['formats_encoding']."\">";
print "<input type=\"hidden\" name=\"client\" value=\"$result[0]\"/>";

print "<table class=\"profile\">\n";
print "<tr class=\"folder_top\">\n";
print "<td colspan=\"4\">".$strings['user_edit_client']."</td>\n";
print "</tr>\n";
print "<tr>\n";
print emit_th($strings['generic_client_name'], "width=\"50%\"");
print emit_th($strings['generic_reg_date'], "width=\"20%\"");
print emit_th($strings['generic_status'], "width=\"20%\"");
print emit_th($strings['generic_trusted'], "width=\"10%\"");
print "</tr>\n";
print "<tr>\n";
print emit_td(emit_a(generate_link('user', $result[1]), "$result[2], $result[3]"));
print emit_td(emit_date_html($result[4], 'date'));
print "<td>";

print "<select name=\"status\">";
$num = pg_num_rows($all_client_states);
for ($i=0; $i < $num; $i++) {
  $value = pg_fetch_row($all_client_states, $i);
  print emit_option($value[0], $strings['generic_'.$client_status[$value[1]]], $value[0] == $client_status[$client_status[$result[5]]]);
}
print "</select></td>";

print "<td>";
print emit_yes_no_combo("trusted", $result[6]);
print "</td></tr>\n";
print "</table>\n";

print "<center>";
print $thm_elem['button.save.changes'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</center>";
print "</form>";
site_footer($database);
site_epilog($database);
?>
