<?php

//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* This file contains zh_HK strings. */
/* Translation by Geoffrey Lee (geoffreyleekk@gmail.com) */

  /* Formats */

$strings['formats_name'] = '繁體中文 (Traditional Chinese)';
$strings['formats_locale_names'] = array('zh_HK.utf8', 'en_US.utf8', 'en_US', 'en', 'eng', 'C');
$strings['formats_encoding'] = 'utf-8';
$strings['formats_lang_xml'] = 'en';
$strings['formats_direction'] = 'ltr';
$strings['formats_full_date'] = 'l d F Y @ g:i:s a';
$strings['formats_date'] = 'j F Y';
$strings['formats_short_date'] = 'j-m-y';
$strings['formats_time'] = 'g:i a';

 
 /* Date stuff */

$dayNames = array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
$monthNames = array("", "一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月");

 /* Errors */

$strings['errors_report_bug'] = "報告問題";
$strings['errors_not_owner'] = "你不是此資源的擁有者";
$strings['errors_private'] = "這是一個私人資源";
$strings['errors_protected'] = "這是受保護的資源，但你不是註冊客戶，或不具備需要的密碼";
$strings['errors_insuff_perm'] = "你沒有足夠的權限進行";
$strings['errors_admin_perm'] = "你需要管理員級權限使用此資源";
$strings['errors_user_perm'] = "你需要用戶級權限使用此資源";
$strings['errors_client_perm'] = "你需要訂戶級權限使用此資源";
$strings['errors_registration_disabled'] = "登記已停止";
$strings['errors_no_user'] = "需要提供用戶參數";
$strings['errors_not_client'] = "你不是此用戶的已註冊訂戶";
$strings['errors_invalid_login'] = "無效的登錄，請再試一次";
$strings['errors_invalid_email'] = "沒有電子郵件地址關聯的用戶";
$strings['errors_disabled_account'] = "你的帳戶已被禁用";
$strings['errors_install_enabled'] = "安裝程式被設定啟用。請設定 config_site.php 內的 \$install_enabled = 0 停用安裝程序。繼續讓它啟用是一個重大的安全隱患！";
$strings['errors_default_admin'] = "你使用的是默認的管理員帳戶，並沒有改變它的默認密碼。這是一個重大的安全隱患！";
$strings['errors_failed_volume'] = "在圖像庫內無法存取現存或創建一個新的卷冊";
$strings['errors_not_folder_owner'] = "這個目標文件夾不屬於你";
$strings['errors_quota_space_full'] = "你的帳戶已達到了存儲空間最大配額";
$strings['errors_quota_count_full'] = "你的帳戶已達到了文件數量最大限額";
$strings['errors_db_insert_failed'] = "更新數據庫失敗";
$strings['errors_bulk_upload_disabled'] = "此帳戶不許批量上傳";
$strings['errors_file_upload_disabled'] = "PHP 設定文件禁止文件上傳";
$strings['errors_exiftool_not_installed'] = "ExifTool 沒有安裝。不能讀取相片上的拍攝數據";
$strings['errors_exiftool_failed'] = "ExitTool 執行失敗。不能讀取相片上的拍攝數據";
$strings['errors_no_such_folder'] = "沒有此文件夾";
$strings['errors_no_such_photo'] = "沒有此相片";
$strings['errors_no_such_album'] = "沒有此相簿";
$strings['errors_cant_open_volume'] = "無法打開已儲存的相片卷冊";
$strings['errors_cant_link_volume'] = "無法關連已儲存的相片卷冊";
$strings['errors_cant_rename_volume'] = "無法更改相片卷冊的名稱";
$strings['errors_invalid_options'] = "無效的操作選項";
$strings['errors_password_mismatch'] = "密碼不匹配";
$strings['errors_old_password_needed'] = "需要舊密碼";
$strings['errors_password_change_failed'] = "密碼更改失敗";
$strings['errors_name_mandatory'] = "姓和名是必需的";
$strings['errors_email_mandatory'] = "電郵地址是必需的";
$strings['errors_invalid_file'] = "指定的是無效文件";
$strings['errors_names_mandatory'] = "姓和名是必需的";
$strings['errors_username_registered'] = "用戶名稱已被註冊";
$strings['errors_file_not_found'] = "文件不存在";
$strings['errors_iptc_not_implemented'] = "暫時不支援相片內插入 IPTC";
$strings['errors_failed_temp_file_removal'] = "移除暫存文件失敗";
$strings['errors_already_rated'] = "你已對這相片評級";
$strings['errors_delete_master'] = "你不能刪除主要(原拍)版本";
$strings['errors_illegal_name'] = "你給了這個物件一個不合法的名稱";
$strings['errors_xml_error'] = "XML 錯誤: %d %s 在文件 data.xml 行數 %d";
$strings['errors_registered'] = "用戶名稱已註冊。請登入";

 /* Login page strings */

$strings['login_email_prompt'] = "請輸入註冊時使用的電郵地址，如電郵地址吻合，我們會寄出登入資料";
$strings['login_logout_prompt'] = "如想登出，請按下面的按鈕。這會完結本使用期和刪除 cookies";
$strings['login_login_prompt'] = "登入獲取使用權限";

$strings['login_email_sent'] = "你的登入資料已寄出";
$strings['login_logged_in_as'] = "你已登入為 ";
$strings['login_email_prep'] = "正在準備你的登入資料申請";
$strings['login_auto_login'] = "保存我的登入狀態";
 
$strings['login_admin_account'] = "你的是 管理員 戶口";
$strings['login_user_account'] = "你的是 用戶 戶口";
$strings['login_client_account'] = "你的是 訂戶 戶口";
$strings['login_disabled_account'] = "戶口已被凍結";

$strings['login_user_register'] = "如想申請戶口，請在此註冊";
$strings['login_forgot_password'] = "如已忘記用戶名稱或密碼，請按";
$strings['login_email_warning'] = "請確定電郵地址沒出錯，因登入密碼會寄至此電郵地址";

 /* User page */
$strings['users_select'] = "選擇用戶";
$strings['users_my_folders'] = "我的文件夾和相簿";
$strings['users_display'] = "顯示用戶";
$strings['users_registered_customer'] = "是你的一個訂戶";
$strings['users_register_prompt'] = "如你喜歡這些相片，你可登記成為訂戶觀看他保護的相片";
$strings['users_subscribe_prompt'] = "訂閱及成為此用戶的訂戶";
$strings['users_make_client'] = "註冊此用戶為你的訂戶";

$strings['users_you_have_photos'] = '你有 %d 幅相片在 %d 個文件夾和 %d 個相簿';

$strings['users_add_subscription'] = '加入訂閱';
$strings['users_del_subscription'] = '取消訂閱';
$strings['users_date_subscription'] = '訂閱日期';

$strings['users_confirm_subscription'] = '通過訂閱，你會將以上的聯絡資料給與 ';

 /* Searching */
$strings['search_search_string_prompt'] = "輸入想要尋找的字詞";
$strings['search_search_user'] = "尋找指定用戶的相片或文件夾";

$strings['search_photos'] = "相片";
$strings['search_folders'] = "文件夾 &amp; 相簿";
$strings['search_users'] = "用戶";
$strings['search_string'] = "在下面打入關鍵字詞";
$strings['search_ignore_keywords'] = "會忽略以下關鍵字詞";
$strings['search_use_quotes'] = "用 引號 強制性包括尋找這些字詞";
$strings['search_albums_found'] = "找到相簿和文件夾";
$strings['search_display_users'] = "顯示用戶";
$strings['search_no_matches'] = "找不到吻合的";
$strings['search_searched_for'] = "在數據庫尋找";
$strings['search_union'] = "或左面";
$strings['search_intersect'] = "和左面";
$strings['search_displaying'] = '顯示相片';
$strings['search_date_range'] = '日期範圍';
$strings['search_masters_only'] = '衹包括原拍相片';

 /* Admin stuff */
$strings['admin_image_repository'] = '相片儲存庫';
$strings['admin_new_user_prefs'] = '新用戶偏好';
$strings['admin_users_clients'] = '用戶和訂戶';
$strings['admin_front_page'] = '首頁';
$strings['admin_avail_disk_space'] = '可用硬碟空間';
$strings['admin_delete_user'] = '刪除會員';
$strings['admin_edit_user'] = '編輯會員';
$strings['admin_edit_volume'] = '編輯相片儲存庫卷冊';

 /* Label stuff */




 /* Photo info stuff */
$strings['photo_geolocation'] = '地理位置';
$strings['photo_latitude'] = '緯度';
$strings['photo_longitude'] = '經度';
$strings['photo_altitude'] = '海拔高度';
$strings['photo_direction'] = '方向';
$strings['photo_no_title'] = '沒有標題';

$strings['photo_hidden_path'] = '文件路徑隱藏';
$strings['photo_from_folder'] = '這相片來自';
$strings['photo_album_descr'] = '相簿說明';
$strings['photo_folder_descr'] = '文件夾說明';
$strings['photo_album_added'] = '加入相簿日期';
$strings['photo_albums'] = '也在相簿';
$strings['photo_full_exif'] = '顯示所有儲存的 EXIF 資料';
$strings['photo_full_exif_dump'] = '從相片建立新的 EXIF 資料';

$strings['photo_details'] = '詳情';
$strings['photo_technical'] = '技術資料';
$strings['photo_versions'] = '版本';
$strings['photo_rating'] = '評分';
$strings['photo_myself'] = '自己';
$strings['photo_ratings'] = '評分';

$strings['photo_dimensions'] = '尺寸';

$strings['photo_add_version'] = '加入版本';
$strings['photo_add_rating'] = '加入相片評分';

$strings['photo_identifier'] = '相片識別碼';

$strings['photo_purchase'] = '購買此相片';

$strings['photo_rating_text'] = '你的評分是 %s';

$strings['photo_sizes'] = '可選擇尺寸';

/* User stuff */
$strings['user_first_name'] = '名';
$strings['user_last_name'] = '姓';
$strings['user_company'] = '公司';
$strings['user_address'] = '地址';
$strings['user_city'] = '城市';
$strings['user_post_code'] = '郵政編碼';
$strings['user_state'] = '省';
$strings['user_country'] = '國家';
$strings['user_email'] = '電郵地址';
$strings['user_web'] = '網址';
$strings['user_phone'] = '電話';
$strings['user_registration_text'] = '粗體字項目是必需填的';

$strings['user_identification'] = '用戶';
$strings['user_contact'] = '聯絡資料';
$strings['user_calendar'] = '行事曆';
$strings['user_search_engine'] = '搜尋器';
$strings['user_photo_browser'] = '相片瀏覽';
$strings['user_photo_upload'] = '上載相片';
$strings['user_printing'] = '打印';

$strings['user_del_client'] = '移除訂戶';
$strings['user_edit_client'] = '編輯訂戶';

$strings['user_hide'] = '不顯示在用戶選擇中';

 /* Profile */
$strings['profile_id_no'] = "識別碼 #";
$strings['profile_serial'] = "序列號";
$strings['profile_model'] = "型號";
$strings['profile_variation'] = "差異";
$strings['profile_new'] = "全新?";
$strings['profile_purchased'] = "購買日期";
$strings['profile_ignore_comment'] = "忽略評語";
$strings['profile_image_count'] = "相片數量";
$strings['profile_icc_profile'] = "ICC 描繪文件";
$strings['generic_iso'] = "ISO 感光速度";
$strings['profile_manufacturer'] = '製造商';

$strings['profile_view'] = "觀看一個 %s";
$strings['profile_add'] = "加入一個新 %s";
$strings['profile_edit'] = "更改一個 %s";
$strings['profile_delete'] = "移除一個 %s";
$strings['profile_none_found'] = '沒有找到 %s 種類';
$strings['profile_new_type'] = '新的 %s 種類';
$strings['profile_edit_type'] = "編輯一個 %s 種類";
$strings['profile_specific_data'] = '%s 指定的資料';
$strings['profile_must_add_manufacturers'] = "你要加入一個新的 %s 前先要加入製造商";
$strings['profile_all'] = "所有系統內的 %s";
$strings['profile_quality'] = "質量";

/* Settings */
$strings['profile_week_begins'] = "一週的第一天";
$strings['profile_start_hour'] = "開始時間";
$strings['profile_end_hour'] = "結束時間";
$strings['profile_default_engine'] = "預設搜尋方法";
$strings['profile_enable_stemming'] = "Enable stemming";
$strings['profile_popup_enable'] = "彈出式相片資料";
$strings['profile_photos_slide'] = "每頁相片數 (縮圖檢視)";
$strings['profile_photos_list'] = "每頁相片數 (列表檢視)";
$strings['profile_default_view'] = "預設檢視模式";
$strings['profile_default_image_sort'] = "預設相片排序方法";
$strings['profile_default_folder_sort'] = "預設文件夾排序方法";
$strings['profile_upload_options'] = "上載相片選項";
$strings['profile_thumbnail'] = "縮圖";
$strings['profile_preview'] = "預覽";
$strings['profile_gamma'] = "Gamma";
$strings['profile_sharpening'] = "銳利度 sharpen radius x sigma + amount + threshold";
$strings['profile_border'] = "圖框 border width x height &amp; color";
$strings['profile_format'] = "格式";
$strings['profile_resolution'] = '最大解像度';
$strings['profile_colorspace'] = "色彩空間";
$strings['profile_metadata'] = "匯入 metadata (詮釋資料)";
$strings['profile_raw_options'] = "RAW 解碼選項";
$strings['profile_raw_decoder'] = "RAW 解碼偏好";
$strings['profile_raw_denoise'] = "RAW 除噪臨界值";
$strings['profile_jpgfromraw'] = "匯入相片內的預覽圖";
$strings['profile_white_balance'] = "白平衡";
$strings['profile_bitdepth'] = "位元深度";
$strings['profile_brightness'] = "亮度 (dcraw)";
$strings['profile_raw_gamma'] = "Gamma (ufraw)";
$strings['profile_raw_gamma_lin'] = "Gamma 線性 (ufraw)";
$strings['profile_watermark_options'] = "水印選項";
$strings['profile_watermark_photo'] = "水印來源相片";
$strings['profile_watermark_brightness'] = "水印亮度";
$strings['profile_watermark_mask'] = "水印位置";
$strings['profile_print_format'] = "預設打印格式";
$strings['profile_print_paper'] = "預設紙張格式";

$strings['profile_aperture_focal'] = "光圈 &amp; 焦距";
$strings['profile_exiftool_id'] = "ExifTool LensID";

 /* Searches */
$strings['search_gen_text'] = '一般(文字)';
$strings['search_adv_text'] = '進階(文字)';
$strings['search_img_layout'] = '相片版面編排';
$strings['search_img_color'] = '相片顏色';
$strings['search_tags'] = '標簽';

 /* Actions */
$strings['generic_go_to_f'] = '轉到文件夾';
$strings['generic_go_to_a'] = '轉到相簿';
$strings['generic_link_to_a'] = '鏈接到相簿';
$strings['generic_move_to_f'] = '移動到文件夾';
$strings['generic_move_to_a'] = '移動到相簿';
$strings['generic_bulk_update'] = '批量更新';
$strings['generic_set_thumb_f'] = '設為文件夾圖片';
$strings['generic_set_thumb_a'] = '設為相簿圖片';
$strings['generic_keep_thumb'] = '保存縮圖';

/* Spooler */
$strings['spool_name'] = '中介空間';
$strings['spool_photos_in'] = '中介空間內的相片';
$strings['spool_view'] = '觀看中介空間';
$strings['spool_empty'] = '清空中介空間';

/* Exports */
$strings['export_exporting'] = '匯出 %s 相片...';
$strings['export_close_xml'] = '關閉 XML 說明文件';
$strings['export_create_xml'] = '創建 XML 說明文件';
$strings['export_append_xml'] = '加入資料到 XML 說明文件';
$strings['export_image'] = '匯出相片 #';
$strings['export_skipped'] = '相片 <strong>%s</strong> 被省略';
$strings['export_adding'] = '文件 <strong>%s</strong> 被加入匯出';
$strings['export_creating_archive'] = '創建壓縮文件';
$strings['export_finished'] = '匯出完成';
$strings['export_removing'] = '移除暫存文件 <strong>%s</strong>';
$strings['export_download'] = '按 %s 存取你的匯出文件';
$strings['export_format'] = '匯出文件格式';

 /* Tools */
$strings['tools_xml_template_generator'] = 'XML 樣板文件產生器';
$strings['tools_xml_converter'] = 'XML 文件轉換器';
$strings['tools_shop_item_generator'] = '購買項目產生器';
$strings['tools_xml_template_file'] = 'XML 樣板文件';
$strings['tools_regenerate_thumb'] = '重建縮圖和預覽';
$strings['tools_create_shop_items'] = '產生購買項目';
$strings['tools_remove_all_in_specified'] = '移除所有選擇了的購買項目';
$strings['tools_fill_in_image_details'] = '加入相片資料預設值';
$strings['tools_base_file'] = '基本文件名稱';
$strings['tools_file_format'] = '文件格式。例如：jpg, gif, ...';
$strings['tools_base_name'] = "前置的文件名稱。例如：'DSC_'";
$strings['tools_digits'] = "文件名稱位數。例如：'DSC_0026' 是四位數";
$strings['tools_start_num'] = "開始數目";
$strings['tools_start_num_text'] = "第一幅相片的文件數目";
$strings['tools_num_photos'] = "相片數目";
$strings['tools_num_photos_text'] = '創建的 XML 文件包括多少幅相片';
$strings['tools_num_photos_updated'] = "更新了的相片數目";
$strings['tools_num_photos_indexed'] = "索引了的相片數目";
$strings['tools_regenerating_images'] = "重建相片縮圖和預覽";

$strings['tools_source_file'] = "請指定來源文件";
$strings['tools_select_lens'] = "有些相片根據焦距符合多於一個鏡頭，請在下面明確指定";


 /* Datebook */
$strings['datebook_client'] = '訂戶';
$strings['datebook_clients'] = '訂戶';
$strings['datebook_client_remark'] = "訂戶備注";
$strings['datebook_pending_orders'] = '等候處理訂單';
$strings['datebook_order'] = '訂購';
$strings['datebook_value'] = '數值';
$strings['datebook_shipments'] = '運送';
$strings['datebook_quantity'] = '數量';
$strings['datebook_i_am_client_of'] = '我是下列用戶的訂戶';
$strings['datebook_my_contacts'] = '我的聯絡清單';

$strings['datebook_day'] = '日視圖';
$strings['datebook_week'] = '週視圖';
$strings['datebook_week2'] = '週';
$strings['datebook_month'] = '月視圖';
$strings['datebook_goto'] = '移至';
$strings['datebook_today'] = '今日';
$strings['datebook_this_week'] = '本週';
$strings['datebook_this_month'] = '本月';
$strings['datebook_no_events'] = '這天清閒';
$strings['datebook_event'] = '行事歷事件';
$strings['datebook_date'] = '事件日期';
$strings['datebook_start'] = '開始時間';
$strings['datebook_end'] = '結束時間';
$strings['datebook_time'] = '事件時間';

$strings['datebook_adjust_date'] = "按下鼠標調整日期";
$strings['datebook_set_date'] = "按下鼠標設定日期";
$strings['datebook_blank'] = "~ 空白 ~";


 /* Importing */

$strings['import_file_selector'] = '文件選擇器';
$strings['import_file'] = '上載文件';
$strings['import_folder'] = '至文件夾';
$strings['import_metadata'] = 'Metadata (詮釋資料) 來源優先次序';
$strings['import_import_last_master'] = '是否一套之最後一幅相片是原拍(主)相片？';
$strings['import_default_props'] = '預設相片性質';
$strings['import_default_data'] = '預設拍攝數據';
$strings['import_max_size'] = '最大上載文件大小';
$strings['import_local_bulk_path'] = '從本地路徑匯入';

$strings['import_storage_location'] = '儲存位置';
$strings['import_storage_location_id'] = '位置識別碼 -- 會按情況自動加 1';
$strings['import_storage_location_index'] = '位置索引 -- 每幅相片會自動加 1';
$strings['import_storage_location_size'] = '位置大小 -- 識別碼超過這數目會自動加 1';

$strings['import_xml_error'] = '%s, XML 錯誤：%d %s 在文件 %s 第 %d 行';
$strings['import_extracting_metadata'] = '正在抽取 Metadata (詮釋資料)';
$strings['import_import_photos'] = '匯入相片';
$strings['import_edit_photo'] = '編輯相片';
$strings['import_no_more_uploads'] = '不可以再上載';
$strings['import_cleaning_up'] = '清理中';
$strings['import_generating_thumb'] = '創建縮圖中';
$strings['import_generating_preview'] = '創建預覽圖中';
$strings['import_generating_preview2'] = '創建預覽圖2中';
$strings['import_generating_preview3'] = '創建預覽圖3中';
$strings['import_generating_full'] = '創建原大圖中';
$strings['import_transferring_metadata'] = '傳輸 Metadata (詮釋資料) 中';
$strings['import_watermarking'] = '加入水印中';
$strings['import_complete'] = '相片匯入完結';
$strings['import_all_complete'] = '全部相片已匯入';
$strings['import_all_queued'] = '正等待匯入的相片';
$strings['import_moving_file_to_tmp'] = '正在將已上載文件移至暫存目錄';

$strings['import_copying_into_repo'] = '複制原拍相片 <strong>%s</strong> 至儲存庫';
$strings['import_decoding_raw_using'] = '使用 <em>%s</em> 解碼 RAW 圖片';
$strings['import_importing_from_folder'] = "從 <strong>'%s'</strong> 匯入圖片";
$strings['import_importing_into_folder'] = "匯入 <strong>'%s'</strong> (%s) 至文件夾 %s";  
$strings['import_queueing'] = "<strong>'%s'</strong> (%s) 排隊等候匯入";
$strings['import_importing_new_version'] = "匯入 <strong>'%s'</strong> (%s) 作為 %s 的新版本";
$strings['import_creating_temp_dir'] = '創建暫存目錄';
$strings['import_creating_subfolder'] = "創建新副目錄 <strong>'%s'</strong>";

$strings['import_keywords'] = '關鍵字，用 分號 分開';
$strings['import_image_to_add'] = '要加入的相片';
$strings['import_replace_with'] = '將相片替代為';
$strings['import_uncompress'] = '解壓中';
$strings['import_validating_xml'] = '驗證 <b>data.xml</b> 中';
$strings['import_replace_in_album'] = '替代相簿中的舊原拍(主)相片？';
$strings['import_remaining'] = '還有相片';
$strings['import_results'] = '已匯入相片';
$strings['import_log'] = '匯入紀錄檔';

 /* Generic stuff */

$strings['generic_username'] = "用戶名稱";
$strings['generic_password'] = "密碼";
$strings['generic_password_again'] = "密碼 (確認)";
$strings['generic_password_old'] = "密碼 (現用)";
$strings['generic_resource_password'] = "資源密碼";
$strings['generic_return'] = "返回";
$strings['generic_submit'] = "提交申請";
$strings['generic_here'] = "此處";
$strings['generic_login'] = '登入';
$strings['generic_user_registration'] = '用戶註冊';
$strings['generic_clear'] = '清除';
$strings['generic_cancel'] = '取消';
$strings['generic_order_by'] = '排序方法';
$strings['generic_logout'] = '登出';
$strings['generic_register'] = '註冊';
$strings['generic_users'] = '用戶';
$strings['generic_subscribe'] = '訂閱';
$strings['generic_search'] = '搜尋';
$strings['generic_help'] = '幫助';
$strings['generic_parent'] = '上層';
$strings['generic_description'] = '說明';
$strings['generic_add_photos'] = '加入相片';
$strings['generic_add_manufacturer'] = '加入製造商';
$strings['generic_add_duplicate'] = '加入副本';
$strings['generic_add_to_spool'] = '加至中介空間 (Spool)';
$strings['generic_list_view'] = '清單檢視';
$strings['generic_slide_view'] = '縮圖檢視';

$strings['generic_all_users'] = '全部用戶';

$strings['generic_save_changes'] = '儲存更改';
$strings['generic_confirm_delete'] = '確認刪除';
$strings['generic_confirm_purchase'] = '確認購買';
$strings['generic_confirm_subscription'] = '確認訂閱';
$strings['generic_add_selection_to_basket'] = '將選擇加至購物籃';
$strings['generic_update_basket'] = '更新購物籃';
$strings['generic_view_basket'] = '檢視購物籃';
$strings['generic_set_as_watermark'] = '設為水印';

$strings['generic_client_name'] = '訂戶名稱';
$strings['generic_status'] = '狀態';
$strings['generic_trusted'] = '信任';
$strings['generic_reg_date'] = '註冊日期';

$strings['generic_my_folders'] = '我的文件夾';
$strings['generic_my_albums'] = '我的相簿';
$strings['generic_my_datebook'] = '我的行事歷';
$strings['generic_my_profile'] = '我的裝備';
$strings['generic_my_settings'] = '我的設定';
$strings['generic_my_tools'] = '我的工具';
$strings['generic_my_basket'] = '我的購物籃';
$strings['generic_admin'] = '管理';

$strings['generic_volume'] = '卷冊';
$strings['generic_current'] = '使用中';
$strings['generic_max_size'] = '最大容量';
$strings['generic_size'] = '容量';
$strings['generic_files'] = '文件';
$strings['generic_subdirs'] = '副目錄';
$strings['generic_last_mod'] = '最後更改';

$strings['generic_tools'] = '工具';
$strings['generic_master'] = '正本';

$strings['generic_view'] = '檢視';
$strings['generic_edit'] = '編輯';
$strings['generic_delete'] = '移除';
$strings['generic_no'] = '否';
$strings['generic_yes'] = '是';

$strings['generic_add'] = '加入';
$strings['generic_and'] = '和';
$strings['generic_with'] = '與';
$strings['generic_in'] = '在';
$strings['generic_of'] = '共';

$strings['generic_refs'] = '參考';

$strings['generic_add_versions'] = '其他的版本';
$strings['generic_members_storing'] = '已儲存的會員';

$strings['generic_public'] = '公開的';
$strings['generic_private'] = '私人的';
$strings['generic_protected'] = '保護的';

$strings['generic_pending'] = '等批';
$strings['generic_accepted'] = '接納';
$strings['generic_rejected'] = '拒絕';

$strings['generic_skip'] = '跳過';
$strings['generic_first'] = '第一';
$strings['generic_second'] = '第二';
$strings['generic_third'] = '第三';
$strings['generic_next'] = '下一幅';
$strings['generic_back'] = '退回';
$strings['generic_previous'] = '上一幅';
$strings['generic_last'] = '最後';

$strings['generic_pixels'] = '像素';
$strings['generic_language'] = '語言';
$strings['generic_theme'] = '主題';

$strings['generic_tray'] = '公文盤';
$strings['generic_cdr'] = '光碟';
$strings['generic_album'] = '相簿';

$strings['generic_all'] = '全部';
$strings['generic_lens'] = '鏡頭';
$strings['generic_lenses'] = '鏡頭';
$strings['generic_camera'] = '相機';
$strings['generic_cameras'] = '相機';
$strings['generic_flash'] = '閃燈';
$strings['generic_flashes'] = '閃燈';
$strings['generic_film'] = '菲林';
$strings['generic_films'] = '菲林';
$strings['generic_filter'] = '濾鏡';
$strings['generic_filters'] = '濾鏡';
$strings['generic_scanner'] = '掃描器';
$strings['generic_scanners'] = '掃描器';
$strings['generic_support'] = '支援';
$strings['generic_supports'] = '支援';
$strings['generic_manufacturer'] = '製造商';
$strings['generic_manufacturers'] = '製造商';
$strings['generic_paper'] = '紙張';
$strings['generic_locations'] = '地點';
$strings['generic_image'] = '相片';
$strings['generic_barcode'] = '條形碼';

$strings['generic_album_name'] = '相簿名稱';
$strings['generic_all_albums'] = '全部相簿';

$strings['generic_add_album'] = '增加相簿';
$strings['generic_edit_album'] = '編輯相簿';
$strings['generic_delete_album'] = '刪除相簿';
$strings['generic_add_folder'] = '增加文件夾';
$strings['generic_edit_folder'] = '編輯文件夾';
$strings['generic_delete_folder'] = '刪除文件夾';

$strings['generic_all_folders'] = '全部文件夾';

$strings['generic_user'] = '用戶';
$strings['generic_administrator'] = '管理員';

$strings['generic_none'] = '沒指定';
$strings['generic_name'] = '名稱';
$strings['generic_photos'] = '相片';
$strings['generic_albums'] = '相簿';
$strings['generic_folder'] = '文件夾';
$strings['generic_folders'] = '文件夾';

$strings['generic_photo'] = '相片';

$strings['generic_folder_name'] = '文件夾名稱';
$strings['generic_subfolders'] = '副文件夾';
$strings['generic_subalbums'] = '副相簿';
$strings['generic_equipment'] = '裝備';
$strings['generic_space'] = '空間';
$strings['generic_type'] = '種類';
$strings['generic_types'] = '種類';
$strings['generic_bulk_upload'] = '批量上載';
$strings['generic_shop'] = '商店';
$strings['generic_quota_count'] = '配額數目';
$strings['generic_quota_size'] = '配額大小';
$strings['generic_show_ads'] = '顯示廣告';
$strings['generic_member_since'] = '會籍始於';
$strings['generic_last_login'] = '最後登入';
$strings['generic_default_paper'] = '預設紙張';

$strings['generic_page'] = '頁';

$strings['generic_per_page'] = '每頁數目';
$strings['generic_display_all'] = '顯示全部';
$strings['generic_display_album'] = '顯示相簿';
$strings['generic_display_folder'] = '顯示文件夾';
$strings['generic_displaying'] = '顯示';

$strings['generic_embedded'] = '嵌入式';
$strings['generic_unlimited'] = '無限';

$strings['generic_enabled'] = '啟用';
$strings['generic_disabled'] = '停用';

$strings['generic_unknown'] = '未知';
$strings['generic_trash'] = '回收筒';
$strings['generic_orphanage'] = '孤兒院';

$strings['generic_empty_trash'] = '清空回收筒';
$strings['generic_is_empty'] = '沒有可檢視的相片';

$strings['generic_print'] = '打印';
$strings['generic_brochure'] = '小冊子';
$strings['generic_empty'] = '空';
$strings['generic_plain'] = '純文字';

$strings['generic_export'] = '匯出';
$strings['generic_photos_only'] = '衹有相片';
$strings['generic_photos_xml'] = '相片和相關 XML 文件';

$strings['generic_rotate'] = '旋轉';
$strings['generic_rot_90'] = '右轉90度';
$strings['generic_rot_270'] = '左轉90度';
$strings['generic_rot_180'] = '180度反轉';
$strings['generic_flip'] = '上下反轉';
$strings['generic_flop'] = '左右反轉';

$strings['generic_msec'] = '微秒';
$strings['generic_done'] = '完成';
$strings['generic_failed'] = '失敗';

$strings['generic_day'] = '日';
$strings['generic_days'] = '日';
$strings['generic_week'] = '週';
$strings['generic_weeks'] = '週';
$strings['generic_month'] = '月';
$strings['generic_months'] = '月';
$strings['generic_year'] = '年';
$strings['generic_years'] = '年';

$strings['generic_access_auth_users'] = '授權用戶可存取';
$strings['generic_access_owner_only'] = '衹有擁有者可存取';

$strings['generic_title'] = '標題';
$strings['generic_author'] = '作者';
$strings['generic_caption'] = '簡短說明';
$strings['generic_location'] = '地點';
$strings['generic_keywords'] = '關鍵字';
$strings['generic_set_keywords'] = '設定關鍵字';
$strings['generic_clear_keywords'] = '清除關鍵字';
$strings['generic_headline'] = '大標題';
$strings['generic_caption_writer'] = '簡短說明者';
$strings['generic_exposed'] = '拍攝日期';
$strings['generic_imported'] = '匯入日期';
$strings['generic_created'] = '建立日期';
$strings['generic_changed'] = '更改日期';
$strings['generic_category'] = '分類';
$strings['generic_version'] = '版本';
$strings['generic_credit'] = '榮譽歸於';
$strings['generic_supplemental_category'] = '補充分類';
$strings['generic_copyright'] = '版權';
$strings['generic_copyright_license'] = '版權及許可證';
$strings['generic_web_statement'] = '網上聲明';
$strings['generic_source'] = '來源';
$strings['generic_high_res_orig'] = '高解像正本';
$strings['generic_instructions'] = '指示';
$strings['generic_transmission_reference'] = '參考菲林';
$strings['generic_access'] = '存取';
$strings['generic_item'] = '項目';
$strings['generic_currency'] = '貨幣';
$strings['generic_price'] = '價格';
$strings['generic_remark'] = '附註';
$strings['generic_rating'] = '評分';
$strings['generic_rate'] = '評語';
$strings['generic_views'] = '觀看次數';
$strings['generic_orig_file'] = '來源文件名稱';
$strings['generic_order_added'] = '訂單已加入';
$strings['generic_order_added_album'] = '相簿訂單已加入';
$strings['generic_search_criteria'] = '搜尋條件';
$strings['generic_recursive'] = '包括所有下層(副)';
$strings['generic_selection'] = '選擇';
$strings['generic_select_toggle'] = '切換選擇';
$strings['generic_action'] = '動作';
$strings['generic_hide'] = '隱藏';
$strings['generic_images_here'] = '此處的相片';
$strings['generic_store_url'] = '購買網址';

$strings['generic_camera_metering'] = '相機測光';
$strings['generic_camera_program'] = '拍攝模式';
$strings['generic_focal_length'] = '焦距';
$strings['generic_aperture'] = '光圈';
$strings['generic_shutter'] = '快門';
$strings['generic_iso_override'] = 'ISO 感光速度';
$strings['generic_scan_parameters'] = '掃描參數';
$strings['generic_dpi'] = '解像度 dpi';
$strings['generic_bits'] = '位元 bits';
$strings['generic_passes'] = '掃描次數';
$strings['generic_flash_mode'] = '閃光燈模式';
$strings['generic_flash_comp'] = '閃光燈補償';
$strings['generic_exp_comp'] = '曝光補償';
$strings['generic_exp_diff'] = '曝光級別';
$strings['generic_colorspace'] = '相片色彩空間';
$strings['generic_rotation'] = '相片方向';

$strings['generic_best'] = '最好';
$strings['generic_worst'] = '最差';
$strings['generic_no_watermarking'] = '沒有水印';
$strings['generic_northeast'] = '東北';
$strings['generic_northwest'] = '西北';
$strings['generic_north'] = '北';
$strings['generic_east'] = '東';
$strings['generic_west'] = '西';
$strings['generic_center'] = '中間';
$strings['generic_southeast'] = '東南';
$strings['generic_southwest'] = '西南';
$strings['generic_south'] = '南';
$strings['generic_automatic'] = '自動';
$strings['generic_modify'] = '修改';
$strings['generic_random'] = '隨機';
$strings['generic_populate_from_spool'] = '從中介空間(Spool) 複制相片至相簿';
$strings['generic_po_powered_by'] = '本網頁運行程式 <a href="http://po.shaftnet.org/">Photo Organizer</a> ';
$strings['generic_po_copyright'] = '<br/><a href="copyright.php">[版權及許可證聲明]</a>';

$strings['generic_license_disclaimer'] = "以下之版權及許可證聲明袛適用於本軟件 (Photo Organizer)。所有本軟件管理的用戶資料版權，包括但並不止於相片，屬於擁有者本身。除非版權擁有者作出許可聲明，否則不可複製。";

  /* Mail messages */  /* Important -- use single quotes */

$strings['mail_login_info'] = '
   $site_title 登入資料 

   敬愛的 $user_data[first_name] $user_data[last_name],

   以下是你在 $site_title 的登入資料：

	用戶名稱:	$user_data[username]
	    密碼:	$user_data[password]

   如要登入，請移玉步至

      $site_url
';

$strings['mail_mail_bottom'] = '

   本電郵是自動產生的，請勿回覆本電郵。

   謝謝！

           - $site_title 管理人員上';

$strings['mail_login_info_subject'] = '$site_title 登入資料';


$strings['mail_new_sub_top'] = '
   $site_title 客戶訂閱通知

   敬愛的 $user_data[0],

   在 $client_data[5], $client_data[0] $client_data[1] 登記為你的訂戶。狀態為： *$client_data[3]*, 表示 $client_data[0] $client_data[1] ';

$strings['mail_new_sub_pending'] = '不能存取你已保護的相片。 

   若想你的新訂戶可以存取你已保護的相片，請到 $site_title 網站更改訂戶狀態為 *接受*。';

$strings['mail_new_sub_accepted'] = '現可存取你已保護的相片。

   若不想訂戶可以存取你已保護的相片，請到 $site_title 網站更改訂戶狀態為 *拒絕*。';

$strings['mail_new_client_subject'] = '$site_title 客戶訂閱通知';

$strings['mail_new_client_top'] = '
   $site_title 客戶訂閱通知

   敬愛的 $client_data[0],

   在 $client_data[5], 你登記為 $user_data[0] $user_data[1] 的訂戶。狀態為： *$client_data[3]*, 表示你 ';
$strings['mail_new_client_pending'] = '不能存取 $user_data[0] $user_data[1] 已保護的相片。  

   $user_data[0] $user_data[1] 也已被通知並可能會接受你的申請。';

$strings['mail_new_client_accepted'] = '可存取 $user_data[0] $user_data[1] 已保護的相片';

$strings['mail_client_footer'] = '

  $user_data[0] $user_data[1] 有權隨時更改你的訂戶狀態。如你的狀態被更改，你會收到通知。'; 

$strings['mail_client_status_top'] = '
   $site_title 客戶訂閱狀態通知 

   敬愛的 $client_data[0],

   $user_data[0] $user_data[1] 更改了你的訂戶狀態，現在是： *$client_data[3]*。表示你 ';

$strings['mail_client_status_pending'] = '不能存取 $user_data[0] $user_data[1] 已保護的相片。';

$strings['mail_client_status_rejected'] = '不能存取 $user_data[0] $user_data[1] 已保護的相片。';

$strings['mail_client_status_accepted'] = '可存取 $user_data[0] $user_data[1] 已保護的相片。';

$strings['mail_client_status_subject'] = '$site_title 客戶訂閱狀態通知';

$strings['mail_account_status'] = '
   $site_title 戶口狀態通知 

   敬愛的 $user_data[0],

   你的 $site_title 戶口設定已更改為：

         戶口類別：	$user_data[4]
         批量上載：	$user_data[5]
     儲存空間限制：	$user_data[7] MB	(0 代表無限)
     相片數量限制：	$user_data[8] 幅	(0 代表無限)

   如有任何問題，請聯絡 $site_title 網站管理員。
';

$strings['mail_account_status_subject'] = '$site_title 戶口狀態通知';

?>
